
//Title:        JeoEdit
//Version:      1.0
//Copyright:    Copyright (c) 1998 Mark Grundland & Godfried Toussaint
//              All rights reserved.
//Author:       Mark Grundland

import java.awt.*;
import java.applet.*;

public class PointPrinterDemo extends JeoEditUser {
// This simple applet demonstrates how to
// recieve geometric information from the JeoEditPoints editor
// and then process it

  protected Label statusView=new Label("Loading...");

  public PointPrinterDemo() {
  }

  public void init() {
  // show the applet on the web page
    setLayout(new BorderLayout(3,3));
    add("Center",statusView);
    statusView.setAlignment(Label.LEFT);
    statusView.setBackground(new Color(104,252,209));
    statusView.setForeground(new Color(24,13,114));
    statusView.setFont(new Font("Dialog",Font.BOLD,14));
    statusView.setText("Point Printer Demo");
  }

  public void receive (double x[],
                                double y[],
                                long timestamp,
                                int workspace,
                                int datatype,
                                String editor,
                                int reserved1,
                                int reserved2){
  // recieve the point set from the JeoEditPoints editor
  // and print out the coordinate of the points
    System.out.println("-<{ Point Printer Demo }>-");
    System.out.println("Point Coordinates:");
    if (x.length==0) {System.out.println("None.");}
    else {
      for (int i=0; i<x.length; i++){
        System.out.println("   "+x[i]+", "+y[i]);
      }
    }
    System.out.println("");
  }
}
